package java.lang.management;

import java.security.BasicPermission;

public final class ManagementPermission extends BasicPermission
{
    private static final long serialVersionUID = 1897496590799378737L;
    
    public ManagementPermission(String s) {
        super(s);
        if (!s.equals("control") && !s.equals("monitor")) {
            throw new IllegalArgumentException("name: " + s);
        }
        return;
    }
    
    public ManagementPermission(String s, String str) throws IllegalArgumentException {
        super(s);
        if (!s.equals("control") && !s.equals("monitor")) {
            throw new IllegalArgumentException("name: " + s);
        }
        if (str != null && str.length() > 0) {
            throw new IllegalArgumentException("actions: " + str);
        }
        return;
    }
}
